#*******************************************************************************
#**  This file is part of Qt Mocks.                                          ***
#**                                                                          ***
#**  Copyright (C) 2018, 2019, 2020, 2021, 2023                              ***
#**  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
#**                                                                          ***
#**  This program is free software: you can redistribute it and/or modify it ***
#**  under the terms of the GNU Lesser General Public License as published   ***
#**  by the Free Software Foundation, either version 3 of the License, or    ***
#**  (at your option) any later version.                                     ***
#**                                                                          ***
#**  This program is distributed in the hope that it will be useful, but     ***
#**  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
#**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
#**  See the GNU Lesser General Public License for more details.             ***
#**                                                                          ***
#**  You should have received a copy of the GNU Lesser General Public License***
#**  along with this program. If not, see <http:/www.gnu.org/licenses/>.    ***
#*******************************************************************************

%define so_number 0

Name:			qt-mocks
Version:		%{getenv:BINARY_VERSION}
Release:		%{getenv:PACKAGE_RELEASE}%distsuffix%dist
Summary:		Qt Mock & Unit Test Library
Source0:		https:/packaging.schneiderman.me/binaries/%{name}-%{version}.tar.gz
URL:			http:/www.schneiderman.me/pages/%{name}.html

Group:			Development/C++
License:		LGPLv3+


%description
Qt Mock Library using Qt Test inspired by Google Test.


%package devel
Summary: Development headers
Requires: %{name}
BuildArch: noarch
%description devel
Provides the headers needed for development.

%prep
%setup -q -a 0

%build
%cmake \
	-DLIB_INSTALL_DIR=%{_libdir}

%if 0%{?cmake_build:1}
	%cmake_build
%else
	cd %_build
	%make_build
%endif

%install
%if 0%{?cmake_install:1}
	%cmake_install
%else
	cd %_build
	%make_install
%endif

%files
%doc ChangeLog CREDITS
%{_libdir}/libqt-mocks.so
%{_libdir}/libqt-mocks.so.%{version}
%{_libdir}/libqt-mocks.so.%{so_number}

###
### Devel
###
%files devel
%{_includedir}/qt-mocks/Information.h
%{_includedir}/qt-mocks/Matchers.h
%{_includedir}/qt-mocks/Mock.hpp
%{_includedir}/qt-mocks/Output.h
%{_includedir}/qt-mocks/Verify.hpp
%{_includedir}/qt-mocks/qt-mocks_export.h
%{_libdir}/cmake/qt-mocks/qt-mocksConfig.cmake
%{_libdir}/cmake/qt-mocks/qt-mocksTargets-*.cmake
%{_libdir}/cmake/qt-mocks/qt-mocksTargets.cmake
%{_libdir}/cmake/qt-mocks/qt-mocksVersion.cmake


%changelog
* %{getenv:BUILD_TIME} John Schneiderman <JohnMS@member.fsf.org> %{version}-%{release}
- Version packaged.

